//
// MoonCanvas.h
// Draw the moon and related info.
//
//    Copyright 2002 by Akkana Peck.
// You may use or distribute this code under the terms of the GPL.
//

#ifndef GMOONCANVAS_H
#define GMOONCANVAS_H

#include "MoonCanvas.h"

#include <gdk/gdk.h>
#include <gtk/gtk.h>

#include <sys/time.h>

class GImage;
class MoonFeature;

class GMoonCanvas : public MoonCanvas
{
public:
    GMoonCanvas( GtkWidget* canvas, GtkWidget* win );
    virtual ~GMoonCanvas();

    //
    // Implement MoonCanvas pure virtuals:
    //
    void ToggleMirrored();
    void Zoom(int level);

    void Clear();
    virtual void Paint();

    virtual void SetColor(int r, int g, int b);
    virtual void DrawLine(int x1, int y1, int x2, int y2);
    virtual void DrawEllipse(int x, int y, int w, int h);
    virtual void DrawString(char* str, int x, int y);

    virtual int Width();
    virtual int Height();
    //
    // End MoonCanvas pure virtuals
    //

    // Event Handler callbacks
    static void HandleExpose(GtkWidget* widget, GdkEventExpose* event,
                             gpointer data);
    static void HandleMouseDown(GtkWidget* widget, GdkEventButton* event,
                                gpointer data);
    static void HandleMouseUp(GtkWidget* widget, GdkEventButton* event,
                              gpointer data);

protected:
    GImage* mMoonImg;

    GtkWidget* mCanvas;
    GtkWidget* mWin;

    // Save description strings in case we get a chance to show them
    //QString mDescriptions;
};

#endif // GMOONCANVAS_H
