//
// Rille.h
// A rille, rupe, valle or other narrow elongated feature on the moon.
//
//    Copyright 2002 by Akkana Peck.
// You may use or distribute this code under the terms of the GPL.
//

#ifndef RILLE_H
#define RILLE_H

#include "MoonFeature.h"

class Rille : public MoonFeature
{
public:
    Rille();
    Rille(char* name, char* description, int size, int angle,
          int longitude, int latitude);
    virtual ~Rille();

    virtual int GetSizeX();
    virtual int GetSizeY();

    virtual void PaintFeature(MoonCanvas* canvas, int cX, int cY, int radius,
                              int mirrored, int librationE, int librationN);

    void Init(char* name, char* description, int size, int angle,
              int longitude, int latitude);

    // Read in the list of craters:
    static void InitRilles();

protected:
    int mAngle;
};

#endif // RILLE_H
